HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.DeleteAccountsAccountPeoplePerson

Contains the different functions to run the operation deleteAccountsAccountPeoplePerson

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceDeleteAccountsAccountPeoplePerson.hs
valuedeleteAccountsAccountPeoplePerson
  1. :: MonadHTTP m
  2. => DeleteAccountsAccountPeoplePersonParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response DeleteAccountsAccountPeoplePersonResponse)

    Monadic computation which returns the result of the operation

#
DELETE /v1/accounts/{account}/people/{person}

<p>Deletes an existing person’s relationship to the account’s legal entity. Any person with a relationship for an account can be deleted through the API, except if the person is the <code>account_opener</code>. If your integration is using the <code>executive</code> parameter, you cannot delete the only verified <code>executive</code> on file.</p>

Defines the object schema located at paths./v1/accounts/{account}/people/{person}.DELETE.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation deleteAccountsAccountPeoplePerson.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), DeleteAccountsAccountPeoplePersonResponseError is used.

Instances2Eq, Show